> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Coupon

> Update a coupon for a connected account.



## OpenAPI

````yaml put /stripe/connect/accounts/{accountId}/coupons/{couponId}
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /stripe/connect/accounts/{accountId}/coupons/{couponId}:
    put:
      tags:
        - Stripe Connect
      summary: Update Coupon
      description: Update a coupon for a connected account.
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: accountId
          in: path
          required: true
          description: The Stripe connected account ID
          schema:
            type: string
        - name: couponId
          in: path
          required: true
          description: The Stripe coupon ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - data
              properties:
                data:
                  type: object
                  properties:
                    name:
                      type: string
                      description: The new display name for the coupon
                      example: Updated Coupon Name
            example:
              data:
                name: Winter Sale
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: SUMMER20
                  object:
                    type: string
                    example: coupon
                  amount_off:
                    type: integer
                    nullable: true
                    example: null
                  created:
                    type: integer
                    example: 1700000000
                  currency:
                    type: string
                    nullable: true
                    example: null
                  duration:
                    type: string
                    example: once
                  duration_in_months:
                    type: integer
                    nullable: true
                    example: null
                  livemode:
                    type: boolean
                    example: true
                  max_redemptions:
                    type: integer
                    nullable: true
                    example: null
                  metadata:
                    type: object
                    example: {}
                  name:
                    type: string
                    example: Winter Sale
                  percent_off:
                    type: number
                    nullable: true
                    example: 25
                  redeem_by:
                    type: integer
                    nullable: true
                    example: null
                  times_redeemed:
                    type: integer
                    example: 0
                  valid:
                    type: boolean
                    example: true
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred

````